4Suite™ API Documentation

# ► Module Ft.Xml.ThirdParty.Xvif.xmlchargen

# From 2nd edition

Classes: CharacterParser |  |  |  | Functions: compatrepr, uniclass, union |  |  |  | Globals: BaseChar, CombiningChar, Digit, Extender, FirstNCNameChar, FirstNameChar, Ideographic, Letter, LetterDigit, NCNameChar, NameChar, intervall, single

## Classes

class CharacterParser

  ### Methods

  __init__(self, chars=None)
  as_array(self)
  as_chardict(self)
  as_re_class(self)
    Return the character class as a regular expression
  as_spec_string(self)
    Return the character class in the notation of the XML recommendation
  as_sre_class(self)
  build_alts(self)

## Functions

compatrepr(s)
  Return a repr of a string that is syntactically correct in Python 1.5 as well.
uniclass(i)
union(*args)

## Globals

BaseChar = <Ft.Xml.ThirdParty.Xvif.xmlchargen.CharacterParser instance>
CombiningChar = <Ft.Xml.ThirdParty.Xvif.xmlchargen.CharacterParser instance>
Digit = <Ft.Xml.ThirdParty.Xvif.xmlchargen.CharacterParser instance>
Extender = <Ft.Xml.ThirdParty.Xvif.xmlchargen.CharacterParser instance>
FirstNCNameChar = <Ft.Xml.ThirdParty.Xvif.xmlchargen.CharacterParser instance>
FirstNameChar = <Ft.Xml.ThirdParty.Xvif.xmlchargen.CharacterParser instance>
Ideographic = <Ft.Xml.ThirdParty.Xvif.xmlchargen.CharacterParser instance>
Letter = <Ft.Xml.ThirdParty.Xvif.xmlchargen.CharacterParser instance>
LetterDigit = <Ft.Xml.ThirdParty.Xvif.xmlchargen.CharacterParser instance>
NCNameChar = <Ft.Xml.ThirdParty.Xvif.xmlchargen.CharacterParser instance>
NameChar = <Ft.Xml.ThirdParty.Xvif.xmlchargen.CharacterParser instance>
intervall = <_sre.SRE_Pattern object>
  Compiled regular expression objects
single = <_sre.SRE_Pattern object>
  Compiled regular expression objects